moovexDocs

Get drivers

Retrieve paginated list of drivers.

GET/drivers

Query Parameters

ParameterTypeRequiredDescription
sortstringNo-
statusstring[]No-
isSuspendbooleanNo-
vehiclestring[]No-
attributesstring[]No-
suppliersstring[]No-
servicesstring[]No-
areasstring[]No-
locationsstring[]No-
limitnumberYes-
pagenumberYes-
searchstringNo-

Example Response

{
  "page": 1,
  "limit": 20,
  "totalPages": 1,
  "totalResults": 2,
  "records": [
    {
      "id": 10,
      "image": null,
      "firstName": "John",
      "lastName": "Doe",
      "displayName": "John D",
      "email": "john@example.com",
      "phone": "+15551234567",
      "address": "123 Main St",
      "status": "offline",
      "vehicle": "Van 1",
      "areas": [
        "Central"
      ],
      "maxFirstTripDistance": 12,
      "locations": [
        "Depot"
      ],
      "attributes": [
        "VIP"
      ],
      "isSuspended": "",
      "tags": [
        "shift:morning"
      ],
      "excludedProfiles": [
        "Profile A"
      ]
    }
  ]
}

On this page